Subject: Re: [PATCH v2 2/6] tree.c API: move read_tree() into builtin/ls-files.c

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Mar 2021 13:41:54 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Now builtin/ls-files.c is the last user of this code, let's move all
> the relevant code there. This allows for subsequent simplification of
> it, and an eventual move to read_tree_recursive().

There is a comment in cache.h that has long been a tad stale but not
wrong.  This finally makes it incorrect.

#define ADD_CACHE_JUST_APPEND 8		/* Append only; tree.c::read_tree() */

It would be sufficient to remove the mention of tree.c::read_tree().
It does use this bit, but there are a few others, and there is not
much point in singling out the oldest user the bit was invented for.